## t
Tag aliasBean

A tag that defines a new bean (alias) with a given value. This allows you to design a subform with a generic (fictive) beans and to include it in all the pages where you use it. You just need to make an alias to the real bean named after the generic bean before including the subform. When used within an aliasBeansScope tag, this tag adds the alias to the aliasBeansScope. This makes configuration with multiple aliasBeans easier to write.

Tag Information
Tag Class | org.apache.myfaces.custom.aliasbean.AliasBeanTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
alias | false | false | `java.lang.String` | The bean that will be set to the given value. Example : #{holder}
id | false | false | `java.lang.String` | No Description
value | false | false | `java.lang.String` | The value that the alias can be set to. This can be a string (like "toto") or a reference to an existing bean (like "#{myBean.member1}").

Variables
No Variables Defined.

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.